<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getKartyResponse StructType
 * @subpackage Structs
 */
class GetKartyResponse extends AbstractStructBase
{
    /**
     * The karta
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var KartaType[]
     */
    public $karta;
    /**
     * Constructor method for getKartyResponse
     * @uses GetKartyResponse::setKarta()
     * @param KartaType[] $karta
     */
    public function __construct(array $karta = array())
    {
        $this
            ->setKarta($karta);
    }
    /**
     * Get karta value
     * @return KartaType[]
     */
    public function getKarta()
    {
        return $this->karta;
    }
    /**
     * Set karta value
     * @param KartaType[] $karta
     * @return GetKartyResponse
     */
    public function setKarta(array $karta = array())
    {
        $this->karta = $karta;
        return $this;
    }
    /**
     * Add item to karta value
     * @throws \InvalidArgumentException
     * @param KartaType $item
     * @return GetKartyResponse
     */
    public function addToKarta(KartaType $item)
    {
        $this->karta[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetKartyResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
